Bug 238284 - fltk-config --ldflags introduces rpaths
Summary: fltk-config --ldflags introduces rpaths
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fltk (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 233975
TreeView+ depends on / blocked
 
Reported: 2007-04-28 19:49 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-29 17:51:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2007-04-28 19:49:54 UTC
Description of problem:
I'm building freefem++ for submission here. check-rpaths kept complaining about
rpaths even though I removed all traces of -rpath and -R from the build process.
Then I found out that `fltk-config --ldflags` contains "-rpath".

Version-Release number of selected component (if applicable):
fltk-1.1.8-0.1.r5750.fc7

How reproducible:
Always.

Steps to Reproduce:
1. try to build a package which requires fltk and invokes fltk-config --ldflags,
for example freefem++
  
Actual results:
The resulting binaries have rpaths.

Expected results:
The resulting binaries should have no rpaths.

Comment 1 Dominik 'Rathann' Mierzejewski 2007-04-28 19:54:39 UTC
Ah I forgot to post the current fltk-config output:

$ fltk-config --ldflags
-L/usr/lib64 -Wl,-rpath,/usr/lib64 -lfltk


Comment 2 Rex Dieter 2007-04-28 23:26:36 UTC
Stinks alright, will fix (prolly not before at least Mon tho)

Comment 3 Rex Dieter 2007-04-29 12:51:47 UTC
* Sun Apr 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.1.8-0.2.r5750
- nuke --rpath (#238284)


Comment 4 Rex Dieter 2007-04-29 12:52:26 UTC
fyi,
/usr/bin/plague-client build fltk fltk-1_1_8-0_2_r5750_fc7 devel
Package fltk enqueued.  Job ID: 32681.


Comment 5 Dominik 'Rathann' Mierzejewski 2007-04-29 17:27:27 UTC
Um, the patch in CVS is 0 bytes in size.

$ ls -l fltk-1.1.x-r5750-rpath.patch 
-rw-r--r-- 1 rathann users 0 Apr 29 14:51 fltk-1.1.x-r5750-rpath.patch
$ cvs status fltk-1.1.x-r5750-rpath.patch 
===================================================================
File: fltk-1.1.x-r5750-rpath.patch      Status: Up-to-date

   Working revision:    1.1
   Repository revision: 1.1    
/cvs/extras/rpms/fltk/devel/fltk-1.1.x-r5750-rpath.patch,v
   Sticky Tag:          (none)
   Sticky Date:         (none)
   Sticky Options:      -kb


Comment 6 Rex Dieter 2007-04-29 17:51:23 UTC
* Sun Apr 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.1.8-0.3.r5750
- *really* fix --rpath issue, using non-empty patch this time (#238284)

:)

/usr/bin/plague-client build fltk fltk-1_1_8-0_3_r5750_fc7 devel
Package fltk enqueued.  Job ID: 32684.


Comment 7 Dominik 'Rathann' Mierzejewski 2007-04-29 19:16:33 UTC
Thanks. BTW, you should run rpmlint from time to time:
$ rpmlint /var/lib/mock/fedora-development-x86_64-core/result
W: fltk-devel spurious-executable-perm /usr/lib64/libfltk_gl.a
W: fltk-devel spurious-executable-perm /usr/lib64/libfltk_forms.a
W: fltk-devel spurious-executable-perm /usr/lib64/libfltk_images.a
W: fltk-devel spurious-executable-perm /usr/lib64/libfltk.a
W: fltk-devel invalid-license LGPL with exceptions
W: fltk invalid-license LGPL with exceptions
E: fltk-fluid devel-dependency fltk-devel
W: fltk-fluid invalid-license LGPL with exceptions
W: fltk invalid-license LGPL with exceptions
W: fltk mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 5)
W: fltk-debuginfo invalid-license LGPL with exceptions



Note You need to log in before you can comment on or make changes to this bug.